/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2016. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/

package com.ibm.team.filesystem.cli.core.internal;

import java.util.List;

import com.ibm.team.filesystem.cli.core.internal.SandboxHistoryRegistry.SandboxHistoryRegistryException;
import com.ibm.team.filesystem.cli.core.util.ISandboxWorkspace;
import com.ibm.team.filesystem.client.ILocation;

/**
 * 
 */
public interface ISandboxHistoryRegistry {

	public List<ISandboxWorkspace> getWorkspaces(ILocation sandboxPath);
	
	public List<ISandboxWorkspace> getWorkspaces(ILocation sandboxPath, String repositoryId);
	
	public void addWorkspace(ILocation sandboxPath, String repositoryId, String workspaceItemId) throws SandboxHistoryRegistryException;
	
	public void removeWorkspace(ILocation sandboxPath, String workspaceItemId) throws SandboxHistoryRegistryException;
	
	public void removeWorkspaces(ILocation sandboxPath, List<String> workspaceItemIds) throws SandboxHistoryRegistryException;
}
