/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2011. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/

package com.ibm.team.filesystem.cli.core.internal.aliases;

import java.util.Comparator;

/**
 * Compares aliases.
 */
class AliasComparator implements Comparator<UuidAlias> {
	public int compare(UuidAlias o1, UuidAlias o2) {
		if (o1.getLastRun() == o2.getLastRun()) {
			// Now compare by monicker (because it's a shorter string than UUID)
			return o1.getMonicker().compareTo(o2.getMonicker());
		}

		if (o1.getLastRun() > o2.getLastRun()) {
			return -1;
		}

		return 1;
	}
}