/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  Use,
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.filesystem.cli.minimal.protocol;

/**
 * A message read from the wire.
 */
public class Message {
	private final MessageType message;
	private final byte[][] fields;

	Message(MessageType m, byte[][] fields) {
		this.message = m;
		this.fields = fields;
	}
	
	public MessageType getMessageType() {
		return message;
	}
	
	public byte[][] getFields() {
		return fields;
	}
	
	@Override
	public String toString() {
		StringBuffer buf = new StringBuffer();
		
		buf.append(message.toString());
		buf.append(": ");
		
		for (byte[] bytes : fields) {
			buf.append('"');
			buf.append(new String(bytes));
			buf.append("\"[");
			buf.append(bytes.length);
			buf.append("] ");
		}
		
		return buf.toString();
	}
}

