/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2013. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/

package com.ibm.team.filesystem.cli.tools;

import java.io.IOException;
import java.io.InputStream;

import com.ibm.team.rtc.cli.infrastructure.internal.core.AbstractSubcommand;
import com.ibm.team.rtc.cli.infrastructure.internal.core.CLIClientException;
import com.ibm.team.rtc.cli.infrastructure.internal.core.IClientConfiguration;
import com.ibm.team.rtc.cli.infrastructure.internal.core.IOptionSource;
import com.ibm.team.rtc.cli.infrastructure.internal.parser.Options;
import com.ibm.team.rtc.cli.infrastructure.internal.parser.exceptions.ConflictingOptionException;
import com.ibm.team.rtc.cli.infrastructure.internal.util.StatusHelper;

/**
 * Echo the stdin onto the stdout.
 */
public class EchoStdinCmd extends AbstractSubcommand implements IOptionSource {

	public Options getOptions() throws ConflictingOptionException {
	    return new Options(false);
	}
	
	public void initialize(IClientConfiguration config) {
	    
	}

	public int run(IClientConfiguration config) throws CLIClientException {
		InputStream in = config.getContext().stdin();

	    int read;
		try {
			while (-1 != (read = in.read())) {
				config.getContext().stdout().write((byte)read);
			}
		} catch (IOException e) {
		    throw StatusHelper.failure("IOException while writing", e);
		}
		
		return 0;
	}

}
