/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2013. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/
package com.ibm.team.filesystem.cli.tools.dump;

import com.ibm.team.filesystem.cli.tools.dump.blocks.ComponentMetadataBlock;
import com.ibm.team.filesystem.cli.tools.dump.blocks.ForwardMetadataBlock;
import com.ibm.team.filesystem.cli.tools.dump.blocks.ForwardSharingMetadataBlock;
import com.ibm.team.filesystem.cli.tools.dump.blocks.InverseMetadataBlock;
import com.ibm.team.filesystem.cli.tools.dump.blocks.InverseSharingMetadataBlock;
import com.ibm.team.filesystem.cli.tools.dump.blocks.MetametaMetadataBlock;

/**
 * Visitor that is walked through a metadata dump by {@link MetadataDumpParser}.
 * 
 * The various <tt>consume</tt> functions are called as individual items are 
 * read from the metadata dump. 
 */
public abstract class MetadataDumpVisitor {

	public void consumeInverseMetadataBlock(InverseMetadataBlock block) {
	}

	public void consumeComponentMetadataBlock(ComponentMetadataBlock cmb) {
	}

	public void consumeForwardMetadataBlock(ForwardMetadataBlock forwardMetadataBlock) {
	}

	public void consumeForwardSharingMetadataBlock(ForwardSharingMetadataBlock forwardMetadataBlock) {
	}

	public void consumeInverseSharingMetadataBlock(InverseSharingMetadataBlock inverseSharingMetadataBlock) {
	}

	public void consumeMetametaMetadataBlock(MetametaMetadataBlock metametaMetadataBlock) {
	}
}
