/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2013. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/
package com.ibm.team.filesystem.cli.tools.dump.blockparsers;

import java.util.Map;

import com.ibm.team.filesystem.cli.tools.dump.MetadataDumpVisitor;
import com.ibm.team.filesystem.cli.tools.dump.blocks.ComponentMetadataBlock;
import com.ibm.team.filesystem.client.internal.copyfileareas.metadata.validator.MetaDatasCollector;
import com.ibm.team.repository.common.UUID;

public class ComponentMetadataDumpParser extends BlockParser {

	@Override
	public String getSectionHeading() {
		return MetaDatasCollector.SECTION_COMPONENT;
	}
	
	@Override
	protected void visit(MetadataDumpVisitor c, StringBuffer buf, Map<String, String> values) {
		ComponentMetadataBlock cmb = new ComponentMetadataBlock(buf.toString(),
				UUID.valueOf(values.get("connection ID")),
				values.get("connection type"),
				values.get("connection type ns"),
				UUID.valueOf(values.get("component ID"))
		);
		
		c.consumeComponentMetadataBlock(cmb);
	}
}
