/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2013. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/
package com.ibm.team.filesystem.cli.tools.dump.blockparsers;

import java.util.Map;

import com.ibm.team.filesystem.cli.tools.dump.MetadataDumpVisitor;
import com.ibm.team.filesystem.cli.tools.dump.blocks.ForwardMetadataBlock;
import com.ibm.team.filesystem.client.internal.copyfileareas.metadata.validator.MetaDatasCollector;

public class ForwardMetadataDumpParser extends BlockParser {

	@Override
	public String getSectionHeading() {
		return MetaDatasCollector.SECTION_FORWARD_INFO;
	}

	@Override
	protected void visit(MetadataDumpVisitor c, StringBuffer buf, Map<String, String> values) {
		c.consumeForwardMetadataBlock(new ForwardMetadataBlock(buf.toString(),
				values.get("path"))
		);
	}
}
