/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2013. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/
package com.ibm.team.filesystem.cli.tools.dump.blockparsers;

import java.util.Map;

import com.ibm.team.filesystem.cli.tools.dump.MetadataDumpVisitor;
import com.ibm.team.filesystem.cli.tools.dump.blocks.ForwardSharingMetadataBlock;
import com.ibm.team.filesystem.client.internal.copyfileareas.metadata.validator.MetaDatasCollector;
import com.ibm.team.repository.common.UUID;

public class ForwardSharingMetadataDumpParser extends BlockParser {

	@Override
	public String getSectionHeading() {
		return MetaDatasCollector.SECTION_SHARING_INFO;
	}

	@Override
	protected void visit(MetadataDumpVisitor c, StringBuffer buf, Map<String, String> values) {
		c.consumeForwardSharingMetadataBlock(new ForwardSharingMetadataBlock(
				buf.toString(),
				values.get("path"),
				values.get("component name"),
				values.get("connection name"),
				UUID.valueOf(values.get("component item ID")),
				UUID.valueOf(values.get("connection item ID")),
				UUID.valueOf(values.get("connection state ID")),
				UUID.valueOf(values.get("repository ID")),
				UUID.valueOf(values.get("versionable item ID")),
				UUID.valueOf(values.get("versionable state ID"))
		));
	}
}
