/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2013. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/
package com.ibm.team.filesystem.cli.tools.dump.blockparsers;

import java.text.ParseException;
import java.util.Date;
import java.util.Map;

import com.ibm.team.filesystem.cli.tools.dump.MetadataDumpVisitor;
import com.ibm.team.filesystem.cli.tools.dump.blocks.MetametaMetadataBlock;
import com.ibm.team.filesystem.client.internal.copyfileareas.metadata.validator.MetaDatasCollector;

public class MetametaDumpParser extends BlockParser {

	@Override
	public String getSectionHeading() {
		return MetaDatasCollector.SECTION_METAMETA_DATE;
	}

	@Override
	protected void visit(MetadataDumpVisitor c, StringBuffer buf, Map<String, String> values) {
		Date date = null;
		String dateString = values.get(".metameta date");
		if (dateString != null) {
			try {
				date = MetaDatasCollector.DATE_RFC2822.parse(dateString);
			} catch (ParseException e) {
			}
		}
		
		c.consumeMetametaMetadataBlock(new MetametaMetadataBlock(buf.toString(), date));
	}
}
