/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2013. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/
package com.ibm.team.filesystem.cli.tools.dump.blocks;

import java.io.PrintWriter;

import com.ibm.team.filesystem.cli.tools.dump.MetadataDumpParser.MetadataBlock;
import com.ibm.team.filesystem.client.internal.copyfileareas.metadata.validator.MetaDatasCollector;
import com.ibm.team.repository.common.UUID;

/**
 * Analogue for 
 * com.ibm.team.filesystem.client.internal.core.LoadedComponentsStore.LoadedComponentsStore.
 */
public final class ComponentMetadataBlock extends MetadataBlock implements IScopedByComponentMetadataBlock {
	
	private final UUID connId;
	private final String connType;
	private final String connNs;
	private final UUID compId;
	
	public ComponentMetadataBlock(String ownData, UUID connId, String connType, String connNs, UUID compId) {
		super(ownData);
		this.connId = connId;
		this.connType = connType;
		this.connNs = connNs;
		this.compId = compId;
	}

	@Override
	public UUID getConnectionId() {
		return connId;
	}

	public String getConnType() {
		return connType;
	}

	public String getConnNs() {
		return connNs;
	}

	@Override
	public UUID getComponentId() {
		return compId;
	}

	@Override
	protected void dumpHeading(PrintWriter w) {
		w.println(MetaDatasCollector.SECTION_COMPONENT);
	}
}