/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2013. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/
package com.ibm.team.filesystem.cli.tools.dump.blocks;

import java.io.PrintWriter;
import java.util.Comparator;

import com.ibm.team.filesystem.cli.tools.dump.MetadataDumpParser.MetadataBlock;
import com.ibm.team.filesystem.client.internal.copyfileareas.metadata.validator.MetaDatasCollector;

/**
 * Analogue for {@link com.ibm.team.filesystem.client.internal.FileItemInfo}. 
 */
@SuppressWarnings("restriction")
public class ForwardMetadataBlock extends MetadataBlock {
		public static final Comparator<ForwardMetadataBlock> COMPARATOR = new Comparator<ForwardMetadataBlock>() {
			@Override
			public int compare(ForwardMetadataBlock object1, ForwardMetadataBlock object2) {
			    return object1.getPath().compareTo(object2.getPath());
			}
		};
		
		
		protected String path;
		
//	    protected UUID itemId;
//	    protected UUID stateId;
//	    
//	    protected UUID remoteParentId;
//	    protected String remoteName;
//	    
//	    protected String localLineDelimiter;
//	    protected String remoteLineDelimiter;
//	    
//	    protected String localContentType;
//	    protected String remoteContentType;
//	    
//	    protected long localSize;
//	    protected long remoteSize;
//	    
//	    protected String remoteEncoding;
//	    protected long numLineDelimiters;
//
//	    protected boolean remoteExecutable;
//	    protected boolean localExecutable;
//	    
//		private boolean contentChanged;
//
//		private boolean loadedWithAnotherName;
//		private long lastContentChangeCheckStamp;
//		private String hash;
//		private String predecessorHintHash;
//		private String storedHash;
//
//		private String itemType;

		public ForwardMetadataBlock(String self, String path) {
			super(self);
			this.path = path;
		}

		@Override
		protected void dumpHeading(PrintWriter w) {
			w.println(MetaDatasCollector.SECTION_FORWARD_INFO);
		}

		public String getPath() {
			return path;
		}
	}