/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2013. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/
package com.ibm.team.filesystem.cli.tools.dump.blocks;

import java.util.Comparator;

import com.ibm.team.repository.common.UUID;

/**
 * Convenience interface allowing us to share a comparator by the various 
 * bits of metadata that can be sorted by component and connection.
 */
public interface IScopedByComponentMetadataBlock {

    public static final Comparator<IScopedByComponentMetadataBlock> COMPARATOR = new Comparator<IScopedByComponentMetadataBlock>() {

		@Override
		public int compare(IScopedByComponentMetadataBlock object1, IScopedByComponentMetadataBlock object2) {
			int r = object1.getConnectionId().compareTo(object2.getConnectionId());
			if (r == 0) {
				r = object1.getComponentId().compareTo(object2.getComponentId());
			}
			
			return r;
		}
    };
	
	public UUID getConnectionId();
	
	public UUID getComponentId();
	
}
