/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2013. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/
package com.ibm.team.filesystem.cli.tools.dump.blocks;

import java.io.PrintWriter;
import java.util.Comparator;
import java.util.Date;

import com.ibm.team.filesystem.cli.tools.dump.MetadataDumpParser.MetadataBlock;
import com.ibm.team.filesystem.client.internal.copyfileareas.metadata.validator.MetaDatasCollector;

public class MetametaMetadataBlock extends MetadataBlock {
	public static Comparator<MetametaMetadataBlock> COMPARATOR = new Comparator<MetametaMetadataBlock>() {
        @Override
        public int compare(MetametaMetadataBlock object1, MetametaMetadataBlock object2) {
            if (object1.getDate() == null) {
                if (object2.getDate() == null) {
                    return 0;
                }
                
                return 1;
            }
            
            if (object2.getDate() == null) {
                return -1;
            }
            
            return object1.getDate().compareTo(object2.getDate());
        }
    };
    
	private final Date date;
	
	public MetametaMetadataBlock(String self, Date d) {
		super(self);
		this.date = d;
	}
	
	/**
	 * @return May be null.
	 */
	public Date getDate() {
		return date;
	}

	@Override
	protected void dumpHeading(PrintWriter w) {
		w.println(MetaDatasCollector.SECTION_METAMETA_DATE);
	}
}