/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2013. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/

package com.ibm.team.filesystem.cli.tools.verify;

import com.ibm.team.rtc.cli.infrastructure.internal.core.IOptionSource;
import com.ibm.team.rtc.cli.infrastructure.internal.parser.IOptionKey;
import com.ibm.team.rtc.cli.infrastructure.internal.parser.OptionKey;
import com.ibm.team.rtc.cli.infrastructure.internal.parser.Options;
import com.ibm.team.rtc.cli.infrastructure.internal.parser.exceptions.ConflictingOptionException;
import com.ibm.team.filesystem.cli.core.subcommands.CommonOptions;

public class EclipseWorkspaceCompareCmdOptions implements IOptionSource {

	public static IOptionKey OPT_EXCLUDES = new OptionKey("exclude");
	
	public Options getOptions() throws ConflictingOptionException {
		Options options = new Options(false);
		
		options.setLongHelp("TOOLS: Verify that a CFA is in sync with a remote workspace.");
		
		options.addOption(CommonOptions.OPT_DIRECTORY, CommonOptions.OPT_DIRECTORY_HELP);
		
		options.addOption(OPT_EXCLUDES, "x", "exclude", "List of resources to exclude from verification.", Options.ARG_INFINITE);

		return options;
	}

}
