/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2013. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  Use,
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/

package com.ibm.team.filesystem.cli.tools.verify;

import com.ibm.team.filesystem.client.FileSystemException;
import com.ibm.team.repository.common.LogFactory;
import com.ibm.team.rtc.cli.infrastructure.internal.core.IOptionSource;
import com.ibm.team.rtc.cli.infrastructure.internal.parser.Options;
import com.ibm.team.rtc.cli.infrastructure.internal.parser.PositionalOptionDefinition;
import com.ibm.team.rtc.cli.infrastructure.internal.parser.exceptions.ConflictingOptionException;
import com.ibm.team.filesystem.cli.core.AbstractSubcommand;

/**
 * Spew a log message out. 
 */
public class LogMessageCmd extends AbstractSubcommand implements IOptionSource {

	private static final PositionalOptionDefinition OPT_MESSAGE = new PositionalOptionDefinition("changes",  1, 1);

	public Options getOptions() throws ConflictingOptionException {
		Options opts = new Options(false);
		
		opts.addOption(OPT_MESSAGE, "Text to write to the log");
		
		return opts;
	}

	public void run() throws FileSystemException {
		LogFactory.getLog(LogMessageCmd.class.getName()).fatal("Fatal: " + config.getSubcommandCommandLine().getOption(OPT_MESSAGE));
		LogFactory.getLog(LogMessageCmd.class.getName()).error("Error: " + config.getSubcommandCommandLine().getOption(OPT_MESSAGE));
		LogFactory.getLog(LogMessageCmd.class.getName()).info("Info: " + config.getSubcommandCommandLine().getOption(OPT_MESSAGE));
		LogFactory.getLog(LogMessageCmd.class.getName()).debug("Debug: " + config.getSubcommandCommandLine().getOption(OPT_MESSAGE));
	}
}
