/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2013. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  Use,
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.filesystem.cli.tools.verify;

import com.ibm.team.rtc.cli.infrastructure.internal.core.AbstractSubcommand;
import com.ibm.team.rtc.cli.infrastructure.internal.core.CLIClientException;
import com.ibm.team.rtc.cli.infrastructure.internal.core.IClientConfiguration;
import com.ibm.team.rtc.cli.infrastructure.internal.core.IOptionSource;
import com.ibm.team.rtc.cli.infrastructure.internal.core.SubcommandLoader;
import com.ibm.team.rtc.cli.infrastructure.internal.parser.Options;
import com.ibm.team.rtc.cli.infrastructure.internal.parser.exceptions.ConflictingOptionException;

/**
 * Validate the definitions of the various subcommands.
 */
public class SubcommandValidationCmd extends AbstractSubcommand implements IOptionSource {

	public Options getOptions() throws ConflictingOptionException {
		return new Options(false);
	}

	public void initialize(IClientConfiguration config) {
	    
	}

	public int run(IClientConfiguration config) throws CLIClientException {
		
		for (String scope : SubcommandLoader.getAllScopeNames()) {
			config.getContext().stdout().println("Validating " + scope);
			
			SubcommandLoader loader = SubcommandLoader.getScope(scope, config.getContext().stderr());
			loader.validate();
		}
		
		return 0;
	}
}
