/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2013. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/

package com.ibm.team.rtc.cli.infrastructure.internal.core;

import com.ibm.team.rtc.cli.infrastructure.internal.parser.Options;
import com.ibm.team.rtc.cli.infrastructure.internal.parser.exceptions.ConflictingOptionException;

/**
 * Provides the options for a given subcommand. Note that instances of this
 * class will be instantiated <i>before</i> the Eclipse workspace is defined,
 * meaning that they <i>must not</i> trigger a load of
 * <tt>org.eclipse.core.resources</tt> or any other bundle that relies on the
 * Eclipse root.
 * 
 * <p>
 * In addition, they <i>should not</i> trigger a load of additional bundles.
 */
public interface IOptionSource {

    /**
     * Get the options blob necessary to parse a subcommands' command-line.
     * 
     * @throws ConflictingOptionException
     *             TODO
     */
    public Options getOptions() throws ConflictingOptionException;
}
