/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2013. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/
package com.ibm.team.rtc.cli.infrastructure.internal.core;

/**
 * Interface for subcommands.
 */
public interface ISubcommand {
    
    /**
     * Run the command with the requested configuration.
     * Clients can return a code or if a CLIClientException exception is thrown with
     * a IStatus object set, the error code from IStatus is set as the return code.
     */
    public int run(IClientConfiguration config) throws CLIClientException;
}
