/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2013. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/

package com.ibm.team.rtc.cli.infrastructure.internal.parser;


/**
 * A representation of data parsed for multi repo.
 */
public interface ICommandLineArgument {
    
    /**
     * Returns the option key
     */
    public IOptionKey getKey();

    /**
     * Returns the argument
     */
    public String getValue();

    /**
     * Returns the item prefix if a token separator was specified.
     * Else returns the item. 
     */
    public String getValuePrefix();

    /**
     * Returns the item suffix if a token separator was specified.
     * Else returns null. 
     */
    public String getValueSuffix();
}
