/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2013. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/

package com.ibm.team.rtc.cli.infrastructure.internal.parser;

/**
 * 
 */
public interface INamedOptionDefinition extends IOptionDefinition {

    /**
     * Get the short (one character) definition of this argument. Does not
     * include a '-'.
     */
    public String getShortOpt();

    /**
     * Get the long argument name. May be null.
     */
    public String getLongOpt();

    /** Get the number of expected arguments. */
    public int getArgCount();
    
    /** Get the least number of expected arguments. */
    public int getMinArgCount();
    
    /** Return if the option is to be shown or not in the help output.
     *  This is used to hide deprecated options */
    public boolean isHidden();
}
