/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2013. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/

package com.ibm.team.rtc.cli.infrastructure.internal.parser;

/**
 * Base class for option definitions.
 */
public interface IOptionDefinition {
    /** Get a unique ID identifying this option. */
    public IOptionKey getId();

    /** Get a human-meaningful name of the option. */
    public String getName();

    /** Called when an argument matches the definition. */
    public void matchArgument(IParseController controller);
    
    /** Returns true if the option must have a value else returns false */
    public boolean isRequired();
}
