/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2015. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/

package com.ibm.team.rtc.cli.infrastructure.internal.parser;

/**
 * A key for options.
 * Represents an Option switch of a command line command.
 * Some keyword that will modify the behaviour of the command itself, or a token
 * to help the command line parser to consume following user specified parameters
 */
public interface IOptionKey {
    public String getName();

	/**
	 * Used to split a value token into two parts, to create a <code>CommandLineArgument</code>.
	 * @see CommandLine#constructCommandLineArg
	 * @see CommandLineArgument
	 * @return a delimiter, currently it is usually "@". May return <code>null</code>
	 */
    public String getDelimiter();
}
