/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2015. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/

package com.ibm.team.rtc.cli.infrastructure.internal.parser;

/**
 * Basic implementation of IOptionKey
 */
public class OptionKey implements IOptionKey {
	final String name;
	private String delimiter;

	public OptionKey(String name) {
		this(name, null);
	}

	/**
	 * General constructor for an OptionKey
	 * @param name the name of the option key
	 * @param delimiter may be <code>null</code>
	 */
	public OptionKey(String name, String delimiter) {
		this.name = name;
		this.delimiter = delimiter;
	}

	@Override
	public String getName() {
		return name;
	}

	@Override
	public String getDelimiter() {
		return delimiter;
	}
}
