/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2013. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/
package com.ibm.team.rtc.cli.infrastructure.internal.parser.exceptions;

import org.eclipse.osgi.util.NLS;

import com.ibm.team.rtc.cli.infrastructure.internal.Messages;

public class ArgumentOverflowException extends MalformedCommandLineException {

    final int expected;
    String extraArgument;

    public ArgumentOverflowException(int expected, String extra) {
        this.expected = expected;
        this.extraArgument = extra;
    }

    @Override
    public String getMessage() {
        return NLS.bind(Messages.ArgumentOverflowException_0, extraArgument);
    }

    public String getExtraArgument() {
        return extraArgument;
    }
}
