/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2013. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/
package com.ibm.team.rtc.cli.infrastructure.internal.parser.exceptions;

import java.util.List;

import org.eclipse.osgi.util.NLS;

import com.ibm.team.rtc.cli.infrastructure.internal.Messages;
import com.ibm.team.rtc.cli.infrastructure.internal.parser.IOptionDefinition;

/**
 * Thrown when an argument is missing.
 */
public class ArgumentUnderflowException extends MalformedCommandLineException {
    private static final long serialVersionUID = 5286443201016806658L;

    int expected;
    int received;
    List<? extends IOptionDefinition> missing;

    public ArgumentUnderflowException(int expectedArgCount, int receivedArgCount,
            List<? extends IOptionDefinition> missing) {
        expected = expectedArgCount;
        received = receivedArgCount;
        this.missing = missing;
    }

    public int getExpectedArgCount() {
        return expected;
    }

    public int getReceivedArgCount() {
        return received;
    }

    @Override
    public String getMessage() {
        return NLS.bind(Messages.ArgumentUnderflowException_0, getReceivedArgCount(),
                getExpectedArgCount());
    }

    public List<? extends IOptionDefinition> getMissingArguments() {
        return missing;
    }
}
