/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2013. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/
package com.ibm.team.rtc.cli.infrastructure.internal.parser.exceptions;

import org.eclipse.osgi.util.NLS;

import com.ibm.team.rtc.cli.infrastructure.internal.Messages;

public class MalformedOptException extends MalformedCommandLineException {

    private static final long serialVersionUID = 6801804162315885763L;

    private final String option;
    private final String problem;

    public MalformedOptException(String option, String problem) {
        this.option = option;
        this.problem = problem;
    }

    @Override
    public String getMessage() {
        return NLS.bind(Messages.MalformedOptException_0, option, problem);
    }

    public String getOption() {
        return option;
    }

    public String getProblem() {
        return problem;
    }
}
