/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2013. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/

package com.ibm.team.rtc.cli.infrastructure.internal.util;

import java.io.OutputStream;

public class ChoppingIndentingPrintStream extends IndentingPrintStream {

    private int chopSize;

    public ChoppingIndentingPrintStream(OutputStream s, int chopSize) {
        super(s);
        this.chopSize = chopSize;
    }

    public ChoppingIndentingPrintStream(OutputStream s, int indent, int chopSize) {
        super(s, indent);
        this.chopSize = chopSize;
    }

    protected StringBuffer createString(CharSequence toWrite) {
        StringBuffer buf = super.createString(toWrite);
        String bufStr = buf.toString();
        if (bufStr.length() > chopSize) {
            bufStr = bufStr.substring(0, chopSize - 1).concat(">"); //$NON-NLS-1$
            return new StringBuffer(bufStr);
        }
        return buf;
    }

    public ChoppingIndentingPrintStream indent() {
        return new ChoppingIndentingPrintStream(stream, indent + 2, chopSize);
    }
}
