/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2013. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/

package com.ibm.team.rtc.cli.infrastructure.internal.util;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.PrintStream;
import java.nio.charset.Charset;

/**
 * 
 */
public class PromptUtil {

	/**
	 * Read a line of input from the stdin.  
	 *
	 * @param prompt A string to prompt the user's response. 
	 * 
	 * @param mask If set to <code>true</code> the characters entered are 
	 * 		masked. If set to <code>false</code> the entered characters are not 
	 * 		masked.
	 * 
	 * @return The String read from stdin. 
	 * 
	 * @throws IOException
	 */
	public static String prompt(String prompt, boolean mask, InputStream stdin, PrintStream stdout) throws IOException {
		if (mask) {
			return PasswordReader.run(prompt, stdin, stdout);
		}
		
		stdout.print(prompt);
		return new BufferedReader(new InputStreamReader(stdin, Charset.defaultCharset().name())).readLine();
	}
}
